import { HttpClient } from '@wix/sdk-types';
import { GetAnalyticsDataOptions, GetAnalyticsDataResponse, GetAnalyticsDataResponseNonNullableFields, MeasureNameEnum } from './analytics-ng-v2-data-analytics-data.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getAnalyticsData(httpClient: HttpClient): GetAnalyticsDataSignature;
interface GetAnalyticsDataSignature {
    /**
     * Retrieves analytics data, given the specified filtering.
     * @param - Measurement types.
     * @param - Field options.
     * @returns The response with analytics data
     */
    (measurementTypes: MeasureNameEnum[], options?: GetAnalyticsDataOptions | undefined): Promise<GetAnalyticsDataResponse & GetAnalyticsDataResponseNonNullableFields>;
}
export { DateRange, GetAnalyticsDataOptions, GetAnalyticsDataRequest, GetAnalyticsDataResponse, GetAnalyticsDataResponseNonNullableFields, MeasureItem, MeasureNameEnum, MeasureValue, SiteAnalyticsData, } from './analytics-ng-v2-data-analytics-data.universal.js';
